import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.1
 * @date 2021-06-30 09:19
 */
export interface BusWhiteLot{
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 01:隐私保护
    * @type { string }
    */
    code?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class BusWhiteLotMI{ 
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','车场ID');
    }
    static get CODE(): FieldInfo{  
        return new FieldInfo('code','01:隐私保护');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.1
 * @date 2021-06-30 09:19
 */
export interface BusBlackLot{
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 01:广告投放 02: 无感按钮 03：我已离场
    * @type { string }
    */
    code?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class BusBlackLotMI{ 
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','车场ID');
    }
    static get CODE(): FieldInfo{  
        return new FieldInfo('code','01:广告投放 02: 无感按钮 03：我已离场');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


